
Installer - Refactor #30363

Tracker # 30315 (Resolved): Remove bootstrap RPM creation's dependency on puppet-certs and katello-certs-tools

Generate bootstrap RPM with rpm directly

07/10/2020 12:11 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/280,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/274

  

Description

Associated revisions

Revision f746c9e7 - 08/28/2020 08:44 PM - Eric Helms

Fixes #30363: Rewrite bootstrap creation to use RPM

Revision e7cf6a51 - 08/31/2020 08:35 PM - Eric Helms

Refs #30363: Generate new bootstrap RPM if old style is detected

Prior implementation of bootstrap RPM created a tarball with

the source script in it. If an RPM is detected with a tarball

source, assume this is an upgrade and generate a new bootstrap

RPM to be based on the new system from this point forward.

This if condition can then be dropped in the next release.

History

#1 - 07/14/2020 02:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/274 added

#2 - 07/29/2020 01:19 PM - Ewoud Kohl van Wijngaarden

- Parent task set to #30315

#3 - 07/31/2020 12:13 PM - Eric Helms

- Target version set to 2.2.0

#4 - 08/12/2020 01:31 PM - Eric Helms

- Target version changed from 2.2.0 to 2.3.0

#5 - 08/28/2020 08:44 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#6 - 08/28/2020 09:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed
Applied in changeset puppet-foreman_proxy_content|f746c9e7632ce88d0c18d9c0716b286b9ffa2807.

#7 - 08/31/2020 05:27 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/280 added

#8 - 11/03/2020 02:29 PM - Tomer Brisker

- Category set to Foreman modules

#9 - 11/30/2020 05:54 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
